curl -X POST https://api.getversive.com/api/v1/studies/9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b/translate \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"study_id": "9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b",
"translation_languages": ["German", "French", "Spanish"]
}
Studies
Translate study
Kick off translation into all supported languages
POST
/
studies
/
{id}
/
translate
curl -X POST https://api.getversive.com/api/v1/studies/9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b/translate \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"study_id": "9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b",
"translation_languages": ["German", "French", "Spanish"]
}
Starts background translation of the study’s questions and messages into every supported language configured on the study (
config.lang.support) other than the default. Returns immediately with 202 Accepted.
No request body. Returns 400 if the study has no default language configured.
Response
curl -X POST https://api.getversive.com/api/v1/studies/9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b/translate \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"study_id": "9b2f7c1e-4a4b-4f6e-9a1d-1c2d3e4f5a6b",
"translation_languages": ["German", "French", "Spanish"]
}